Client data handling
APIs » "raw" APIs » Network interface (NETIF)

## Macros

#define | netif_set_client_data(netif, id, data) netif_get_client_data(netif, id) = (data)
#define | netif_get_client_data(netif, id) (netif)->client_data[(id)]

## Functions

u8_t | netif_alloc_client_data_id (void)

## Detailed Description

Store data (void*) on a netif for application usage.

See also
  LWIP_NUM_NETIF_CLIENT_DATA

## Macro Definition Documentation

## netif_get_client_data

#define netif_get_client_data | ( |  | netif,
|  |  | id
| ) |  | (netif)->client_data[(id)]

Get client data. Obtain ID from netif_alloc_client_data_id().

## netif_set_client_data

#define netif_set_client_data | ( |  | netif,
|  |  | id,
|  |  | data
| ) |  | netif_get_client_data(netif, id) = (data)

Set client data. Obtain ID from netif_alloc_client_data_id().

## Function Documentation

## netif_alloc_client_data_id()

u8_t netif_alloc_client_data_id | ( | void |  | ) |

Allocate an index to store data in client_data member of struct netif. Returned value is an index in mentioned array.

See also
  LWIP_NUM_NETIF_CLIENT_DATA